<?php
///////////////////////////////////////////////////////////////////////////////
//	
//	  This file is part of ZenCartToVirtueMart.
//
//    ZenCartToVirtueMart is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    ZenCartToVirtueMart is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with ZenCartToVirtueMart.  If not, see <http://www.gnu.org/licenses/>.
// 
//////////////////////////////////////////////////////////////////////////////

/**
 * Author: Marko Tomic
 * Date: 22/Apr/2010
 * marko@markomedia.com.au
 * www.markomedia.com.au
 * v1.0
 */

error_reporting(E_ALL);
header('Content-Type: text/plain; charset=UTF-8');

$delim = "^"; //field delimiter
$text_qualifier = "~";
$linebreak = "\r\n";
$catIdPath = "";  // Stores Category Paths in VirtueMart format. Referenced by Zen CategoryID

require("inc_categories_export.php");
require("inc_products_export.php");

if($result) {
	
	$category_header = "~category_path~^~category_description~^~category_full_image~^~category_thumb_image~^~category_products_per_row~^~category_browsepage~^~category_flypage~^~category_publish~^~category_list_order~\r\n";
    $aDataFeed[] = $category_header;
    
    /* Fetch the results of the query */
    while( $row = $result->fetch_assoc() ){
        $dataFeed = $text_qualifier . $row['category_path'] . $text_qualifier . $delim .
        			$text_qualifier . $row['categories_description'] . $text_qualifier . $delim .
        			$text_qualifier . $row['category_full_image'] . $text_qualifier . $delim .
        			$text_qualifier . $row['category_thumb_image'] . $text_qualifier . $delim .  
        			$text_qualifier . $row['category_products_per_row'] . $text_qualifier . $delim .
        			$text_qualifier . $row['category_browsepage'] . $text_qualifier . $delim .
        			$text_qualifier . $row['category_flypage'] . $text_qualifier . $delim .
        			$text_qualifier . $row['category_publish'] . $text_qualifier . $delim .
        			$text_qualifier . $row['category_list_order']. $text_qualifier . $linebreak;

        			$aDataFeed[] = $dataFeed; 
        			$catIdPath[$row['categories_id']] = $row['category_path'];
        			
        		// Do subcategories
        		$subCategory = getSubCat($row['categories_id']);
	        	if($subCategory) {	
        			while( $row2 = $subCategory->fetch_assoc() ) {
        				$dataFeed = $text_qualifier . $row['category_path'].'/'.$row2['category_path'] . $text_qualifier . $delim .
	        			$text_qualifier . $row2['categories_description'] . $text_qualifier . $delim .
	        			$text_qualifier . $row2['category_full_image'] . $text_qualifier . $delim .
	        			$text_qualifier . $row2['category_thumb_image'] . $text_qualifier . $delim .  
	        			$text_qualifier . $row2['category_products_per_row'] . $text_qualifier . $delim .
	        			$text_qualifier . $row2['category_browsepage'] . $text_qualifier . $delim .
	        			$text_qualifier . $row2['category_flypage'] . $text_qualifier . $delim .
	        			$text_qualifier . $row2['category_publish'] . $text_qualifier . $delim .
	        			$text_qualifier . $row2['category_list_order']. $text_qualifier . $linebreak;

	        			$aDataFeed[] = $dataFeed; 
	        			$catIdPath[$row2['categories_id']] = $row['category_path'].'/'.$row2['category_path'];
	        			
			        			// Do subcategories
				        		$subCategory2 = getSubCat($row2['categories_id']);
					        	if($subCategory2) {	
				        			while( $row3 = $subCategory2->fetch_assoc() ) {
				        					$dataFeed = $text_qualifier . $row['category_path'].'/'.$row2['category_path']. '/'.$row3['category_path'] . $text_qualifier . $delim .
						        			$text_qualifier . $row3['categories_description'] . $text_qualifier . $delim .
						        			$text_qualifier . $row3['category_full_image'] . $text_qualifier . $delim .
						        			$text_qualifier . $row3['category_thumb_image'] . $text_qualifier . $delim .  
						        			$text_qualifier . $row3['category_products_per_row'] . $text_qualifier . $delim .
						        			$text_qualifier . $row3['category_browsepage'] . $text_qualifier . $delim .
						        			$text_qualifier . $row3['category_flypage'] . $text_qualifier . $delim .
						        			$text_qualifier . $row3['category_publish'] . $text_qualifier . $delim .
						        			$text_qualifier . $row3['category_list_order']. $text_qualifier . $linebreak;

						        			$aDataFeed[] = $dataFeed; 
						        			$catIdPath[$row3['categories_id']] = $row['category_path'].'/'.$row2['category_path']. '/'.$row3['category_path'];
						        			
						        	} // end while
						        	$subCategory2->close();
					        	} // endif
		        						
        			} // end while 
        			$subCategory->close();
	        	} // end if
    } // end while

    /* Destroy the result set and free the memory used for it */
    $result->close();
} // end if

// Dump out Categories CSV file;
echo("****************** COPY CATEGORIES BELOW ******************\n");
echo(implode("",$aDataFeed));


/****************** PRODUCTS EXPORT BELOW *********************/
$products = getProducts();

$products_header = "~product_sku~^~product_parent_sku~^~category_path~^~product_name~^~product_s_desc~^~product_desc~^~product_price~^~product_full_image~^~product_thumb_image~^~product_availability~^~product_available_date~^~product_currency~^~product_discount~^~product_discount_date_end~^~product_discount_date_start~^~product_packaging~^~product_publish~^~product_special~^~product_tax~^~product_url~" . $linebreak;
$aProductFeed[] = $products_header;
while( $product = $products->fetch_assoc() ){
        $productLineFeed = $text_qualifier . $product['product_sku'] . $text_qualifier . $delim .
        			$text_qualifier . $product['product_parent_sku'] . $text_qualifier . $delim .
        			$text_qualifier . $catIdPath[$product['categories_id']] . $text_qualifier . $delim .
        			$text_qualifier . $product['product_name'] . $text_qualifier . $delim .
        			$text_qualifier . $product['product_s_desc'] . $text_qualifier . $delim .  
        			$text_qualifier . $product['product_desc'] . $text_qualifier . $delim .
        			$text_qualifier . $product['product_price'] . $text_qualifier . $delim .
        			$text_qualifier . $product['product_full_image'] . $text_qualifier . $delim .
        			$text_qualifier . $product['product_thumb_image'] . $text_qualifier . $delim .
        			$text_qualifier . $product['product_availability'] . $text_qualifier . $delim .
        			$text_qualifier . $product['product_available_date'] . $text_qualifier . $delim .
        			$text_qualifier . $product['product_currency']. $text_qualifier .$delim .
        			$text_qualifier . $product['product_discount']. $text_qualifier .$delim .
        			$text_qualifier . $product['product_discount_date_end']. $text_qualifier .$delim .
        			$text_qualifier . $product['product_discount_date_start']. $text_qualifier .$delim .
        			$text_qualifier . $product['product_packaging']. $text_qualifier .$delim .
        			$text_qualifier . $product['product_publish'] . $text_qualifier . $delim .
        			$text_qualifier . $product['product_special'] . $text_qualifier . $delim .
        			$text_qualifier . $product['product_tax'] . $text_qualifier . $delim .
        			$text_qualifier . $product['product_url'] . $text_qualifier . $linebreak;

        			$aProductFeed[] = $productLineFeed;
}

echo("\n\n******************COPY PRODUCTS BELOW*************\n\n");
echo(implode("",$aProductFeed)); // dump out products csv.

/* Close the connection */
$mysqli->close();
?> 